Skip to main content
Changes made over time to the Composer API are included here to help you plan upgrades from older releases. Deprecated and removed features are included to allow you to view changes that may affect your environment on upgrade.
Running an older, unsupported operating system in your environment is done so at your own risk. Plan and upgrade to a supported operating system for full support and functionality. For information on operating system and environment support, see Operating System Support.
To purchase this product, contact insightsoftware Sales.

API Updates

Composer v26

EndpointMethodDescription
26.3 API Updates
EndpointMethodDescription
26.2.2 API Updates
None.
26.2.1 API Updates
None.
26.2 API Updates
api/export/visualdata/enrichedPOSTExport visual data for table visuals including grouped data in Excel (XLSX) format. Your formatting, aggregation, and conditional formatting are preserved in the exported file.
Report generation and export performance varies significantly based on report complexity, report generation volume, and export format. For more information on environment sizing and use planning guidelines, see Environment Configuration and Performance Considerations.
api/dashboards/{dashboardId}/reports
api/dashboards/{dashboardId}/reports/{reportId}
POST
PUT
Create or update a scheduled dashboard report. This supports features added in this release.
  • timezone: include to support DST-aware scheduling instead of the default UTC
api/dashboards/{dashboardId}/reports
api/dashboards/{dashboardId}/reports/{reportId}
POST
PUT
Create or update a scheduled self service report. This supports features added in this release.
  • timezone: include to support DST-aware scheduling instead of the default UTC

  • pageSize: include a setting to override the default of US Letter Portrait. Size options include LETTER, A4, and A3.

  • orientation: define the orientation of the report. This includes page-aware column count validation and font size validation for the selected orientation.

  • PORTRAIT: 15 column max for Letter and A4 paper sizes. 22 column max for A3 paper size.

  • LANDSCAPE. 20 column max for Letter. 22 column max for A4. 30 column max for A3.

Column count validation is not performed on Group Structured Reports.

Report generation and export performance varies significantly based on report complexity, report generation volume, and export format. For more information on environment sizing and use planning guidelines, see Environment Configuration and Performance Considerations.
api/self-service-reports/exportPOSTExport self service reports. This supports features added in this release.
  • pageSize: include a setting to override the default of US Letter Portrait. Size options include LETTER, A4, and A3.

  • orientation: define the orientation of the report. This includes page-aware column count validation and font size validation for the selected orientation.

  • PORTRAIT: 15 column max for Letter and A4 paper sizes. 22 column max for A3 paper size.

  • LANDSCAPE. 20 column max for Letter. 22 column max for A4. 30 column max for A3.

Column count validation is not performed on Group Structured Reports.

Report generation and export performance varies significantly based on report complexity, report generation volume, and export format. For more information on environment sizing and use planning guidelines, see Environment Configuration and Performance Considerations.
EndpointMethodDescription
26.1.3 API Updates
None.
26.1.2 API Updates
None.
26.1.1 API Updates
None.
26.1 API Updates
api/dashboards/GETThe GET api/dashboards/ endpoint now returns the creator’s full name as creatorFullName.

Composer v25

EndpointMethodDescription
25.4.5 API Updates
None.
25.4.4 API Updates
None.
25.4.3 API Updates
None.
25.4.2 API Updates
api/sources/odata/s_{sourceid}GETA new optional query parameter, number_format can now be appended to the url to get the large numeric field values as plain decimals that may, by default, be converted to scientific notation.
  • number_format=plain — All scientific notation values are converted to plain decimal format. Double values smaller than 10⁻⁵ will be treated as 0 when using this option.
  • number_format=default — Values are returned in the existing format. This is the default behavior if the parameter is omitted.

Existing integrations are unaffected. To opt into plain decimal formatting, add ?number_format=plain to your OData requests.
25.4.1 API Updates
None.
25.4 API Updates
api/sources/odata/s_{sourceid}GETA new query parameter, response_format=compact, has been added to the existing OData API endpoint: /api/sources/odata/s_{sourceid}?response_format=compact.
When you include this parameter in your query, the API returns data in a more efficient, compact JSON format. The reduced size of the response payload increases the speed of data transfer.
EndpointMethodDescription
25.3.8 API Updates
None.
25.3.7 API Updates
None.
25.3.6 API Updates
None.
25.3.5 API Updates
api/sources/odata/s_{sourceid}GETA new optional query parameter, number_format can now be appended to the url to get the large numeric field values as plain decimals that may, by default, be converted to scientific notation.
  • number_format=plain — All scientific notation values are converted to plain decimal format. Double values smaller than 10⁻⁵ will be treated as 0 when using this option.
  • number_format=default — Values are returned in the existing format. This is the default behavior if the parameter is omitted.

Existing integrations are unaffected. To opt into plain decimal formatting, add ?number_format=plain to your OData requests.
25.3.4 API Updates
None.
25.3.3 API Updates
None.
25.3.2 API Updates
None.
25.3.1 API Updates
None.
25.3 API Updates
api/accounts/{id}
api/accounts
api/accounts/name/{name}
GET, POST, PUTUse the updated Accounts API to retrieve or define all tenant configuration information, or specific information, such as tenant-level information related to SFTP and SMTP configuration details as needed.
Reserved attributes include:
  • sftp.host
  • sftp.password
  • sftp.port
  • sftp.remoteDirectory
  • sftp.strictHostKeyChecking
  • sftp.user
  • email.replyToAddress
  • email.senderDisplayName
api/accounts/{id}
api/accounts
POST, PUTUsers with appropriate permissions to create accounts (tenants) can define a “Reply-To” and “Sender Display Name” for the emails generated to send scheduled reports and scheduled dashboard reports. Users with appropriate permissions to update accounts (tenants) can define these attributes for specific accounts (tenants).
Attributes:
  • email.replyToAddress
  • email.senderDisplayName
EndpointMethodDescription
25.2.10 API Updates
None.
25.2.9 API Updates
None.
25.2.8 API Updates
api/sources/odata/s_{sourceid}GETA new optional query parameter, number_format can now be appended to the url to get the large numeric field values as plain decimals that may, by default, be converted to scientific notation.
  • number_format=plain — All scientific notation values are converted to plain decimal format. Double values smaller than 10⁻⁵ will be treated as 0 when using this option.
  • number_format=default — Values are returned in the existing format. This is the default behavior if the parameter is omitted.

Existing integrations are unaffected. To opt into plain decimal formatting, add ?number_format=plain to your OData requests.
25.2.7 API Updates
None.
25.2.6 API Updates
None.
25.2.5 API Updates
None.
25.2.4 API Updates
None.
25.2.3 API Updates
None.
25.2.2 API Updates
None.
25.2.1 API Updates
None.
25.2 API Updates
/api/dashboards/{dashboard_id}/reports/report_id/
/api/dashboards/{dashboard_id}/reports
PUT, POSTYou can now add a destinationType of EMAIL or FILE_DROP to support SFTP and SMTP dispatch of scheduled dashboard reports.
EndpointMethodDescription
25.1.11 API Updates
api/sources/odata/s_{sourceid}GETA new optional query parameter, number_format can now be appended to the url to get the large numeric field values as plain decimals that may, by default, be converted to scientific notation.
  • number_format=plain — All scientific notation values are converted to plain decimal format. Double values smaller than 10⁻⁵ will be treated as 0 when using this option.
  • number_format=default — Values are returned in the existing format. This is the default behavior if the parameter is omitted.

Existing integrations are unaffected. To opt into plain decimal formatting, add ?number_format=plain to your OData requests.
25.1.10 API Updates
None.
25.1.9 API Updates
None.
25.1.8 API Updates
None.
25.1.7 API Updates
None.
25.1.6 API Updates
None.
25.1.5 API Updates
None.
25.1.4 API Updates
None.
25.1.3 API Updates
None.
25.1.2 API Updates
None.
25.1.1 API Updates
None.
25.1 API Updates
None.

Composer v24

EndpointMethodDescription
24.4.16 API Updates
None.
24.4.15 API Updates
None.
24.4.14 API Updates
None.
24.4.13 API Updates
None.
24.4.12 API Updates
None.
24.4.11 API Updates
None.
24.4.10 API Updates
None.
24.4.9 API Updates
None.
24.4.8 API Updates
None.
24.4.7 API Updates
None.
24.4.6 API Updates
None.
24.4.5 API Updates
None.
24.4.4 API Updates
None.
24.4.3 API Updates
None.
24.4.2 API Updates
None.
24.4.1 API Updates
None.
24.4 API Updates
/api/sources/{source_id}/cache?cacheType=ENTITY_DATADELETEThis endpoint has been expanded to allow you to clear the ENTITY_DATA cache in addition to the DATA and STATISTICS cache.
EndpointMethodDescription
24.3.10 API Updates
None.
24.2.9 API Updates
None.
24.3.8 API Updates
None.
24.3.7 API Updates
None.
24.3.6 API Updates
None.
24.3.5 API Updates
None.
24.3.4 API Updates
None.
24.3.3 API Updates
None.
24.3.2 API Updates
None.
24.3.1 API Updates
None.
24.3 API Updates
None.
EndpointMethodDescription
24.2.12 API Updates
None.
24.2.11 API Updates
None.
24.2.10 API Updates
None.
24.2.9 API Updates
None.
24.2.8 API Updates
None.
24.2.7 API Updates
None.
24.2.6 API Updates
None.
24.2.5 API Updates
None.
24.2.4 API Updates
None.
24.2.3 API Updates
None.
24.2.2 API Updates
None.
24.2.1 API Updates
None.
24.2 API Updates
/api/group-membership/{id}PATCHManage group membership for users by updating a group: define usersToAdd and usersToRemove to include a single user or an array of users.
/api/inventory/{type}/
and
/api/inventory/{type}/{id}
GETIf you created dashboards and visuals that include your own originID, calling this endpoint returns each item and their associated originID, if applicable.
/api/sourcesGET/PUTUse to return and define information for a source.
/api/sources/{sourceId}/clonePOSTUse to create a copy of a source.
EndpointMethodDescription
24.1.12 API Updates
None.
24.1.11 API Updates
None.
24.1.10 API Updates
None.
24.1.9 API Updates
None.
24.1.8 API Updates
None.
24.1.7 API Updates
None.
24.1.6 API Updates
None.
24.1.5 API Updates
None.
24.1.4 API Updates
None.
24.1.3 API Updates
None.
24.1.2 API Updates
None.
24.1.1 API Updates
/api/groupsPOST, PUTYou can now assign an identifier to your groups using externalId that is unique across tenants. This does not change or replace the accountId assigned by Composer. The externalId is not available in the UI.
24.1 API Updates
/api/sources/exportGETThese attributes are returned for sources in your environment. Include these attributes to work with import matching strategies.
  • connections[].originId - Returns the value of the connection ID from the imported connection.
  • sources[].originId - Returns the value of the source ID from the imported source
/api/sources/importPOSTWhen you import objects into your environment, you can define a matching strategy that uses multiple approaches to reviewing objects to determine how to handle them in conjunction with your selected insertion strategy.
Matching strategies are processed in order, proceeding to the next and the next if a strategy fails.
If all strategies fail, the object is imported and tagged with your selected tags to help you find affected objects and manage any issues.
These attributes are used to define the matching strategy and warning tags to use for import. Send as an array; each strategy is considered in order.
  • importSettings.objectClassLevel.connections.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for connections. This array can include:

  • BY_ORIGIN_ID

  • BY_ID_AND_TYPE_AND_PARAMS

  • BY_TYPE_AND_PARAMETERS

  • BY_NAME_AND_TYPE

  • BY_TYPE_AND_PARAM_KEYS

  • BY_NAME

If an order is not specified, the default strategy of BY_ID_AND_TYPE_AND_PARAMS or BY_TYPE_AND_PARAMETERS is used.
  • importSettings.objectClassLevel.sources.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for sources. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.warningTags[] - Send an array of warning tags to apply to objects imported with warnings.

Send enableDefaultRead to enable data read permissions for the sources imported for all users in the tenant.
/api/dashboards/export/GETThese attributes are returned for dashboards in your environment. Include these attributes for importing.
  • connections[].originId - Returns the value of the associated connection ID.
  • sources[].originId - Returns the value of the associated source ID.
  • visuals[].originId - Returns the value of the associated visual ID.
  • dashboards[].originId - Returns the value of the associated dashboard ID.
/api/dashboards/import/POSTWhen you import objects into your environment, you can define a matching strategy that uses multiple approaches to reviewing objects to determine how to handle them in conjunction with your selected insertion strategy.
Matching strategies are processed in order, proceeding to the next and the next if a strategy fails.
If all strategies fail, the object is imported and tagged with your selected tags to help you find affected objects and manage any issues.
These attributes are used to define the matching strategy and warning tags to use for import. Send as an array; each strategy is considered in order.
  • importSettings.objectClassLevel.connections.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for connections. This array can include:

  • BY_ORIGIN_ID

  • BY_ID_AND_TYPE_AND_PARAMS

  • BY_TYPE_AND_PARAMETERS

  • BY_NAME_AND_TYPE

  • BY_TYPE_AND_PARAM_KEYS

  • BY_NAME

If an order is not specified, the default strategy of BY_ID_AND_TYPE_AND_PARAMS or BY_TYPE_AND_PARAMETERS is used.
  • importSettings.objectClassLevel.visuals.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for visuals. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.objectClassLevel.sources.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for sources. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.objectClassLevel.dashboards.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for dashboards. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.warningTags[] - Send an array of warning tags to apply to objects imported with warnings.

Send enableDefaultRead to enable data read permissions for the sources imported for all users in the tenant.
/api/visuals/export/GETThese attributes are returned for visuals in your environment. Include these attributes for importing.
  • connections[].originId - Returns the value of the associated connection ID.
  • sources[].originId - Returns the value of the associated source ID.
  • visuals[].originId - Returns the value of the associated visual ID.
/api/visuals/import/POSTWhen you import objects into your environment, you can define a matching strategy that uses multiple approaches to reviewing objects to determine how to handle them in conjunction with your selected insertion strategy.
Matching strategies are processed in order, proceeding to the next and the next if a strategy fails.
If all strategies fail, the object is imported and tagged with your selected tags to help you find affected objects and manage any issues.
These attributes are used to define the matching strategy and warning tags to use for import. Send as an array; each strategy is considered in order.
  • importSettings.objectClassLevel.connections.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for connections. This array can include:

  • BY_ORIGIN_ID

  • BY_ID_AND_TYPE_AND_PARAMS

  • BY_TYPE_AND_PARAMETERS

  • BY_NAME_AND_TYPE

  • BY_TYPE_AND_PARAM_KEYS

  • BY_NAME

If an order is not specified, the default strategy of BY_ID_AND_TYPE_AND_PARAMS or BY_TYPE_AND_PARAMETERS is used.
  • importSettings.objectClassLevel.visuals.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for visuals. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.objectClassLevel.sources.matchingStrategy[] - Send an array of matching strategies to be considered, in order, for sources. This array can include:

  • BY_ORIGIN_ID

  • BY_NAME

If an order is not specified, the default strategy of BY_NAME is used.
  • importSettings.warningTags[] - Send an array of warning tags to apply to objects imported with warnings.

Send enableDefaultRead to enable data read permissions for the sources imported for all users in the tenant.
/api/accounts/name/{name}GETThis takes the {name} of the tenant account as a path parameter and returns tenant account details. Works similarly to /api/accounts/{id}/.

Composer v23

EndpointMethodDescription
23.4.13 API Updates
None.
23.4.12 API Updates
None.
23.4.11 API Updates
None.
23.4.10 API Updates
None.
23.4.9 API Updates
None.
23.4.8 API Updates
None.
23.4.7 API Updates
None.
23.4.6 API Updates
None.
23.4.5 API Updates
None.
23.4.4 API Updates
None.
23.4.3 API Updates
None.
23.4.2 API Updates
None.
23.4.1 API Updates
/api/sources/POSTWhen using the sources endpoint, Composer returns the parameter fields of the collection you request, both for /preview and /describe.
23.4 API Updates
/api/recently-accessed-elementsGETUse to return items recently used, such as dashboards, visuals, and data sources by the logged in user in Composer. Limit the number of items returned by sending /api/recently-accessed-elements?listSize={number}.
/api/accounts/{id}PUTUse /api/accounts/{id} to update existing user accounts, or create new ones.
/api/sources/{sourceId}/clonePUTUse to clone an existing source in your environment with a new name. Mandatory fields include sourceID and name. Optionally add tags and description.
EndpointMethodDescription
23.3.14 API Updates
None.
23.3.13 API Updates
None.
23.3.12 API Updates
None.
23.3.11 API Updates
None.
23.3.10 API Updates
None.
23.3.9 API Updates
None.
23.3.8 API Updates
None.
23.3.7 API Updates
None.
23.3.6 API Updates
None.
23.3.5 API Updates
None.
23.3.4 API Updates
None.
23.3.3 API Updates
None.
23.3.2 API Updates
None.
23.3.1 API Updates
None.
23.3 API Updates
/api/connection/{id}
/api/sources/{id}
/api/sources/ {sourceId}/fields/{fieldId}
/api/visuals/{id}
/api/dashboard/{id}
DELETEWhen you attempt to delete an object that has dependent object, Composer returns a robust response that includes the item’s id, name, and type to make decoupling of dependent objects easier.
/api/connection/types/{id}/accountsPUT, GETUse to allow access to specific connection types to users of appropriate permissions in specific Accounts.
If no Accounts are specified for a connection type, all uses with appropriate permissions in all accounts can create new or edit existing connection types.
/api/sourcesPOSTIf a request through the API returns a 400 response code, you now see two levels of validation issues, ERROR and WARNING. Optionally, include the query parameter suppressWarnings to determine the behavior of the request.
  • Send suppressWarnings=true to make the request ignore all warning violations and return success if there are no error violations.
  • Send suppressWarnings=false to make the request fail if there is at least one error or warning.
  • The default value is false.
/api/sources/${sourceId}PUT
/api/sources/${sourceId}/fieldsPOST, PUT
/api/sources/${sourceId}/fields/${fieldName}PUT, DELETE
EndpointMethodDescription
23.2.15 API Updates
None.
23.2.14 API Updates
None.
23.2.13 API Updates
None.
23.2.12 API Updates
None.
23.2.11 API Updates
None.
23.2.10 API Updates
None.
23.2.9 API Updates
None.
23.2.8 API Updates
None.
23.2.7 API Updates
None.
23.2.6 API Updates
VariousWe’ve added clarification to our provided Swagger API documentation to specify the security level required to perform each available operation.
23.2.5 API Updates
None.
23.2.4 API Updates
None.
23.2.3 API Updates
None.
23.2.2 API Updates
None.
23.2.1 API Updates
None.
23.2 API Updates
/api/sources/export
/api/sources/import
GET, PUTUse these new endpoints with parameter ids to specify one or more source for export and import:
  • /api/sources/export?ids=sourceId1,sourceId2,sourceId3

or
  • /api/sources/export?ids=sourceId1&ids=sourceId2&ids=sourceId3

Source payload includes:
  • source object
  • fields
  • custom metrics
  • global settings
  • cache settings
  • related connections
/api/dashboards/{id}/comments
/api/dashboards/{id}/comments/{id}
GET, POST, PUT, DELETEUse the comments API to manage comments associated with a dashboard and its widgets:
  • GET /api/dashboards/{id}/comments
  • GET /api/dashboards/{id}/comments/{id}
  • POST /api/dashboards/{id}/comments/
  • PUT /api/dashboards/{id}/comments/{id}
  • DELETE /api/dashboards/{id}/comments/{id}
/api/sources/{source_id}/unique-keyGET, PUTUse to define and retrieve a unique key for non-hierarchical fields in data sources. The key can be a field or an array.
/api/start-visPOSTUse to execute START_VIS query via REST and get a resulting data set in the response.
This is an experimental API.
/api/dashboards/convert-layout/POSTUse to convert dashboards to responsive layout. On success, returns an array of dashboard ids converted. See Dashboard Layouts.
This is an experimental API.
EndpointMethodDescription
23.1.14 API Updates
None.
23.1.13 API Updates
None.
23.1.12 API Updates
None.
23.1.11 API Updates
None.
23.1.10 API Updates
None.
23.1.9 API Updates
None.
23.1.8 API Updates
None.
23.1.7 API Updates
None.
23.1.6 API Updates
None.
23.1.5 API Updates
None.
23.1.4 API Updates
None.
23.1.3 API Updates
None.
23.1.2 API Updates
None.
23.1.1 API Updates
None.
Composer 23.1 API Updates
/api/dashboards/{dashboard_id}/reportsPATCHUse to share, revoke, or change user access to a dashboard and its visuals. as a VIEWER or EDITOR.
/api/dashboards/{dashboard_id}/reportsPOSTUse the new field, {"email": "user@example.com"}, to schedule dashboard reports for non-Composer users.
Removed the deprecated field sendOnlyToMe.
/api/dashboards/{dashboard_id}/reports/{report_id}GET
/api/dashboards/{dashboard_id}/reports
/api/dashboards/{dashboard_id}/reports/{id}
PUT
/api/export/rawdataforvisualPOSTUse to generate raw data export CSV and XLSX of your raw data for visuals. Replaces /api/export/raw.
/api/export/visualdataPOSTUse to generate visual data export CSV and XLSX of your raw data for visuals. Replaces /api/export/chartdata/{file_name}.
/api/sources/{id}/dictionariesPUTCreate and update your metadata dictionary for a source. Use MediaType /multipart/form-data.
Example:
Field Label,ua_UK,en_GB
city,місто,city
county,округ,county
zip code,поштовий індекс,postcode
/api/sources/{id}/dictionariesGETReturns a list of dictionaries with field labels for a source.
/api/sources/{id}/dictionaries/{language}GETReturns a dictionary by the specified language for a source.
/api/sources/{id}/dictionaries/{language}PUTCreate and update a dictionary for the specified language for a source.
/api/sources/{id}/dictionariesDELETEDelete all dictionaries for a specified source.
/api/sources/{id}/dictionaries/{language}DELETEDelete the dictionary for the specified language for a source.

Composer v22

EndpointMethodDescription
22.4.14 API Updates
None.
22.4.13 API Updates
None.
22.4.12 API Updates
None.
22.4.11 API Updates
None.
22.4.10 API Updates
None.
22.4.9 API Updates
None.
22.4.8 API Updates
None.
22.4.7 API Updates
None.
22.4.6 API Updates
None.
22.4.5 API Updates
None.
22.4.4 API Updates
None.
22.4.3 API Updates
None.
22.4.2 API Updates
None.
22.4.1 API Updates
None.
22.4 API Updates
/api/sources/{sourceId}/fields/POST, PUTUse lookup to set a dynamic field statistics overwrite. Specify dataEntityId and originalFieldName as a custom source of filter values.
/api/sources/{sourceId}/fields/{fieldName}POST, PUTUse lookup to set a dynamic field statistics overwrite. Specify dataEntityId and originalFieldName as a custom source of filter values.
/api/alerts/{id}GETReturns a specific alert definition, identified by its ID. In a multi tenancy environment, respects Recipients rules.
/api/inventory/{type}/{id}
/api/inventory
/api/user/permissions/dashboards/{id}
GETA new field, accessLevel, has been added to these endpoints to return users’ access to a dashboard. These access levels can be OWNER, EDITOR, or VIEWER.

Composer v8.4 and Earlier

EndpointMethodDescription
8.4.1 API Updates
None.
8.4 API Updates
None.
EndpointMethodDescription
8.3 API Updates
None.
EndpointMethodDescription
8.2 API Updates
/api/sources/Actions taken using these endpoints trigger a source modifiedDate update:
  • POST /api/sources/{sourceId}
  • POST /api/sources/{sourceId}/fields
  • PUT, DELETE /api/sources/{sourceId}/fields/{fieldName}
  • POST /api/sources/{sourceId}/custom-metrics
  • PUT, DELETE /api/sources/{sourceId}/custom-metrics/{customMetricName}
  • PUT /api/sources/{sourceId}/global-settings
  • PUT /api/sources/{sourceId}/cache-settings
/api/connections/{id}POSTWhen you create a connection, use the ?connectionTypeMatching=BY_TYPE_AND_PARAMETERS URL parameter to omit the matching by connectionTypeId; instead, use matching by combining type + subStorageType + Connection Parameter Keys.
EndpointMethodDescription
8.1 API Updates
/api/sources/PUT, GET, DELETEUse the Composer API to remove a field or change a field type for a field in your source if it is not in use by a global filter.
  • PUT /api/sources/{sourceId}
  • PUT /api/sources/{sourceId}/fields/{fieldName}
  • DELETE /api/sources/{sourceId}/fields/{fieldName}
  • GET /api/sources/{sourceId}/fields/{fieldName}/usage
/api/user/interpolatePOSTUse /api/user/interpolate to send custom attribute names and get custom attribute values.
/api/favorites/POSTFavorite a visual. Specify an inventoryItemId and visual in inventoryItemType.
/api/favorites/{favoriteID}DELETERemove the favorite indication from the specified {favoriteID}.
EndpointMethodDescription
8.0 API Updates
api/inventory?type=VISUALGETReturns information about visuals for which the user has READ permission. If the user has no READ access to any visuals, an empty list is returned.

Composer v7.10 and Earlier

EndpointMethodDescription
7.10.23 API Updates
None.
7.10.22 API Updates
None.
7.10.21 API Updates
None.
7.10.20 API Updates
None.
7.10.19 API Updates
None.
7.10.18 API Updates
None.
7.10.17 API Updates
None.
7.10.16 API Updates
None.
7.10.15 API Updates
None.
7.10.14 API Updates
None.
7.10.13 API Updates
None.
7.10.12 API Updates
None.
7.10.11 API Updates
None.
7.10.10 API Updates
None.
7.10.9 API Updates
None.
7.10.8 API Updates
None.
7.10.7 API Updates
None.
7.10.6 API Updates
None.
7.10.5 API Updates
None.
7.10.4 API Updates
None.
7.10.3 API Updates
None.
7.10.2 API Updates
None.
7.10.1 API Updates
None.
7.10 API Updates
/api/visualsGETThe tags experimental request parameter was removed from the GET /api/visuals endpoint.
/api/sources/POSTUse to create a source and control the list of native fields added to the source definition by specifying the list of native fields in the request body. When you create a source using this endpoint, the custom metric Volume is created by default, and Global settings and Cache settings are populated with default values.
/api/sources/GETUse to return a list of all sources, paginated.
/api/sources/{sourceId}PUTUse to update a source.
/api/sources/{sourceId}GETUse to return a specified source with the list of native fields.
/api/sources/{sourceId}DELETEUse to delete a specified source.
/api/sources/{sourceId}/featuresGETUse to return the features available for the specified source.
/api/sources/{sourceID}/global-settingsGETUse to return global settings for the specified source. Requires read or data_access permissions for the source.
/api/sources/{sourceID}/global-settingsPUTUse to update global settings for the specified source. Requires write permissions for the source.
/api/uploads/previewPOSTUse to view a preview of sample file data.
/api/uploads/{id}/data/DELETEUse to delete all data stored in a file upload.
/api/uploads/{id}/data/POSTUse to add data to the file upload. The file structure sent must match the existing validated format and structure.
/api/uploads/{id}/data/PUTUse to replace data in the file upload. The file structure sent must match the existing validated format and structure.
/api/sources/SOURCE_ID/meta/visualsGET/api/sources/SOURCE_ID/meta/visuals has been renamed /api/sources/{source_id}/visual-types. The functionality of this endpoint is unchanged.
/api/sources/SOURCE_ID/meta/visuals/{VISUALIZATION_ID}GET/api/sources/SOURCE_ID/meta/visuals/{VISUALIZATION_ID} has been renamed /api/sources/{source_id}/visual-types/{VISUALIZATION_ID_/initial-visual. The functionality of this endpoint is unchanged.
/api/sources/SOURCE_ID/meta/variablesGET/api/sources/SOURCE_ID/meta/variables has been renamed /api/sources/{source_id}/visual-types/variables-values. The functionality of this endpoint is unchanged.
EndpointMethodDescription
7.9 API Updates
/api/sources/
/api/export/
/api/stream/
Composer now supports permissions to allow source data access. Existing users with READ permission on a source are given DATA ACCESS permission for that source on upgrade to v7.9.
Endpoints that support DATA ACCESS:
  • GET /api/sources/SOURCE_ID/visual-types/VISUAL_TYPE_ID/initial-visual
  • GET /api/sources/SOURCE_ID/visual-types/variables-values
  • GET /api/sources/{sourceId}/features
  • GET /api/sources/SOURCE_ID/fields/FIELD_NAME/statistics/total
  • GET /api/sources/SOURCE_ID/fields/FIELD_NAME/statistics/distinct-values
  • POST /api/export/chartdata/{file_name}
  • POST /api/export/csv/raw
  • POST /api/stream/search
  • GET /api/stream/search/{sourceId}/facet/{attribute}

Endpoints that support DATA ACCESS or READ permissions:
  • GET /api/sources/SOURCE_ID/visual-types
/api/visualizations/libsVisualization library endpoints used by the CLI and deprecated in Composer v6.9 have been removed. These include:
  • GET /api/visualizations/libs
  • POST /api/visualizations/libs
  • DELETE /api/visualizations/libs/{id}
  • GET /api/visualizations/libs/{id}/*
/user/source-acl//user/source-acl is now removed from Composer. It was deprecated in a previous release.
/user/source-acl/{sourceID}/user/source-acl/{sourceID} is now removed from Composer. It was deprecated in a previous release.
/api/inventory/The endpoint /api/inventory/ has been expanded to return additional information about dashboards and sources.
Send a parameter type with your query to return related data.
  • DASHBOARD - Returns a list of dashboard inventory items and associatedItems for each dashboard.
  • SOURCE - Returns a list AssociatedItemResource information.
  • If no type is sent, all dashboard items are returned. This feature will be removed in a future release.
/api/users/GETThe API response for GET /api/users/ using application/vnd.composer.v3+json media type has been changed.
/api/sources/${sourceId}/fields/${fieldname}DELETEValidation updates prevent you from removing a field from a source if the field is used by filters, cross-source links, join configurations, or actions.
/api/sources/${sourceId}PUTValidation updates prevent you from removing a field from a source if the field is used by filters, cross-source links, join configurations, or actions.
EndpointMethodDescription
7.8 API Updates
/api/sources/<source-id>/expression-syntax/GETRow label expressions called using /api/sources/<source-id>/expression-syntax/ now return full text labels for each operator. This includes:
  • Subtract
  • Less than or equal to
  • Greater than
  • Multiply
  • Not equal to
  • Greater than or equal to
  • Less than
  • Add
  • Divide
  • Equal to
/api/users/GETCall /api/users/ to return the user name and user id for all users. Use application/vnd.composer.v3.lightweight+json Media Type.
EndpointMethodDescription
7.7 API Updates
/api/dashboards/{id}/keyGETThis API was deprecated in release v6.9 and has now been removed from the platform along with other previously removed Security Keys endpoints.
Use Trusted Access instead for all embedded workflows. See Trusted Access.
EndpointMethodDescription
7.6 API Updates
ROLE_MANAGE_VISUALIZATION_TEMPLATESThe group privilege ROLE_MANAGE_VISUALIZATION_TEMPLATES is now ROLE_ADMINISTER_VISUAL_TYPES.
/api/actionsGETPreviously, GET /api/actions required (MANAGE_ACTIONS and READ for the source) privilege/permissions.
Now, with Composer 7.6, GET /api/actions requires ((MANAGE_ACTIONS or INVOKE_ACTIONS) and READ for the source).
/api/visual-types/components/New /visual-types/components/ endpoints are now available.
/api/visual-types/visualizationId has been renamed in /visual-types/ to visualTypeId.
/api/dashboards/{id}/keyGETThis API was deprecated in release v6.9 and cannot be used with the API privilege ROLE_SHARE_DASHBOARDS, which has been removed.
EndpointMethodDescription
7.5 API Updates
/api/trusted-access/pull/tokensPOSTUse to generate a trusted access token for a user, specifying the Composer user name. The user must already exist, and have an active Composer user account (unless you are using LDAP with automatic provisioning for Composer).
/api/trusted-access/push/tokensPOSTUse to generate a trusted access token based on user context, optionally group membership, and user attributes, for existing Composer accounts.
If the user exists in Composer, the user is updated.
If the user does not exist in Composer, this creates the user.
/api/trusted-access/tokenDeprecated.
Use /api/trusted-access/pull/tokens. This is primarily a name change for the endpoint; payloads and functionality remain unchanged.
/api/sources/{id}PUT/POSTYou can no longer manually set the “version”: {integer} of a source object when using PUT api/sources/{id} OR POST api/sources. Version is a system controlled variable which cannot be set manually.
/api/user/switch/{accountId}Deprecated.
You can no longer authorize this API by a Trusted Access user token for switching Composer accounts. You can still generate a new Trusted Access user token by including the target Composer account information in the request.
Removed deprecated security keys-related /api/sources endpoints:
GET /api/sources/{id}/key
GET /api/sources/key
DELETE /api/sources/remove/{id}
These APIs were deprecated in release v6.9 and have now been removed from the platform. Use Trusted Access instead for all embedded workflows.See Trusted Access. For more information about embedding Composer components, see Embed Composer Components Using JavaScript and Trusted Access.
EndpointMethodDescription
7.4 API Updates
/api/sources/{id}PUTUse to upload sources using the object’s ID while retaining the object ID when migrating from one environment to another.
Use to update sources using the object’s ID while retaining the object ID when migrating from one environment to another.
You must have the CanCreate{Object} privilege.
EndpointMethodDescription
7.3 API Updates
/api/connections/{id}PUTCreate a connection using a predefined object ID.
/api/sources/{id}PUTNew endpoint.
Use to upload sources using the object’s ID while retaining the object ID migrating from one environment to another.
You must have the CanCreate{Object} privilege.
/api/visuals/{id}PUTUse to create a visual using a predefined object ID.
You must have the CanCreate{Object} privilege.
/api/dashboards/{id}PUTUse to create a dashboard using a predefined object ID.
You must have the CanCreate{Object} privilege.
EndpointMethodDescription
7.2 API Updates
None.
EndpointMethodDescription
7.1 API Updates
/api/export/generate/rawdataPOSTThis endpoint has been removed. Use /api/export/csv/raw instead.
/api/dashboards/*allThe API v1 (application/vnd.composer.dashboard.v1+json) behavior of the /api/dashboards/* endpoint has been removed. Use the new version of the endpoint in the v2 version of the API (application/vnd.composer.dashboard.v2+json) or application/vnd.composer.v2 instead. Errors will result if you attempt to use application/vnd.composer.dashboard.v1+json.
When no content-type header is specified, Composer defaults to using application/vnd.composer.dashboard.v2+json.
EndpointMethodDescription
7.0 API Updates
/api/materialized-viewsGETA new, optional parameter, sourceId={<data-source-id>}, has been added in this release. Use this parameter to obtain a list of materialized views for a specific data source.
/api/dashboards/importPOSTA new query parameter, strategy, has been added for this endpoint. Valid values can be OVERWRITE or USE_EXISTING_OR_CREATE.
  • Specify OVERWRITE to implement the new overwrite import policy.
  • Specify USE_EXISTING_OR_CREATE to continue to use the existing import policy (importing the dashboard with a slightly altered name). This is the default value and will be used if strategy is not specified.

Composer v6.9 and Earlier

EndpointMethodDescription
6.9.29 API Updates
None.
6.9.28 API Updates
None.
6.9.27 API Updates
None.
6.9.26 API Updates
None.
6.9.25 API Updates
None.
6.9.24 API Updates
None.
6.9.23 API Updates
None.
6.9.22 API Updates
None.
6.9.21 API Updates
None.
6.9.20 API Updates
None.
6.9.19 API Updates
None.
6.9.18 API Updates
None.
6.9.17 API Updates
None.
6.9.16 API Updates
None.
6.9.15 API Updates
None.
6.9.14 API Updates
None.
6.9.13 API Updates
None.
6.9.12 API Updates
/api/sources/{id}POST/PUTYou can no longer manually set the “version”: {integer} of a source object when using PUT api/sources/{id} OR POST api/sources. Version is a system controlled variable which cannot be set manually.
6.9.11 API Updates
None.
6.9.10 API Updates
None.
6.9.9 API Updates
/api/connections/{id}PUTCreate a connection using a predefined object ID.
/api/sources/{id}PUTNew endpoint.
Use to upload sources using the object’s ID while retaining the object ID when migrating from one environment to another.
You must have the CanCreate{Object} privilege.
/api/visuals/{id}PUTUse to create a visual using a predefined object ID.
You must have the CanCreate{Object} privilege.
/api/dashboards/{id}PUTUse to create a dashboard using a predefined object ID.
You must have the CanCreate{Object} privilege.
6.9.8 API Updates
None.
6.9.7 API Updates
None.
6.9.6 API Updates
None.
6.9.5 API Updates
None.
6.9.4 API Updates
None.
6.9.3 API Updates
/api/sourcesDELETE
GET
PATCH
POST
PUT
This endpoint is deprecated and will be removed in a future release.
/api/uploadDELETE
POST
This endpoint is deprecated and will be removed in a future release.
6.9.2 API Updates
/api/dashboards/importPOSTA new query parameter, strategy, has been added for this endpoint. Valid values can be OVERWRITE or USE_EXISTING_OR_CREATE.
  • Specify OVERWRITE to implement the new overwrite import policy.
  • Specify USE_EXISTING_OR_CREATE to continue to use the existing import policy (importing the dashboard with a slightly altered name). This is the default value and will be used if strategy is not specified.
6.9.1 API Updates
/api/materialized-viewsGETA new, optional parameter, sourceId={<data-source-id>}, has been added in this release. Use this parameter to obtain a list of materialized views for a specific data source.
6.9 API Updates
application/vnd.composer.v3+json---A new media type, application/vnd.composer.v3+json is introduced in this release. The media type application/vnd.composer.v2+json is deprecated and will be removed in a future release. insightsoftware recommends using the application/vnd.composer.v3+json media type for all API calls.
The difference between the two media types is primarily in the response of listing endpoints.
/api (/composer/api)GETThis API endpoint is now deprecated and will be removed from the product in a future release.
/api/alertsGET
PUT
DELETE
PATCH
POST
A new experimental API is introduced in this release that can be used to alert your end users when a metric reaches a specified threshold. No UI support for this feature is provided at this time. See Manage Alerts.
/api/uploadDELETE
POST
This API endpoint has been deprecated and will be removed in a future release.
/api/visuals/<visualId>GET
PUT
DELETE
The visual permissions for a user are now verified when this API endpoint is used to retrieve, update, or delete a visual.
/api/visuals/<visualId>/aclsGETThis new endpoint can be used to list the users and groups for which visual permissions have been defined.
/api/visuals/<visualId>/acls/bulkPATCHThis endpoint can now be used to grant or revoke visual permissions. However, the ownerType=Source property can no longer be specified because permissions to view or manage a visual are no longer tied to your permissions for its data source. However, read permissions for the visual’s data source are required to see data in the visual.
/api/visualsGETThe following fields in the response payload are deprecated and will be removed in a future release.
  • enabled
  • ownerType
  • name (use visualName instead)
  • dashboardLinks (this field is now defined and stored in the new dashboard API response payload)
PUT
DELETE
POST
The following fields in the response payload of all other /api/visuals endpoints are deprecated and will be removed in a future release.
  • enabled
  • ownerType
  • lastModified (use lastModifiedDate instead)
  • ownerSourceId (use source.sourceId instead)
  • name (use visualName instead)
  • dashboardLinks ((this field is now defined and stored in the new dashboard API response payload)
description---A new property called description is added to the visual payload.
/api/visuals/source/<sourceId>/summaryGETThis API endpoint now checks for READ permission to the data source when reading a summary of all the visual defaults.
/api/user/permissions/visuals/<visualId>GETThis new endpoint can be used to retrieve a user’s permissions for a visual.
/api/visdefs/<sourceId>---This API endpoint has now been removed from the product. It was deprecated in a previous release.
/api/visdefs/default/<sourceId>---This API endpoint has now been removed from the product. It was deprecated in a previous release.
/api/visdefs/default/<sourceId>/<visualId>GETThis API endpoint now checks for READ permission to the data source when generating a single visual default.
/api/dashboards/*DELETE
GET
POST
PUT
This endpoint in the v1 version of the API (application/vnd.composer.dashboard.v1+json) is deprecated and will be removed in a future release. Use the new version of the endpoint in the v2 version of the API (application/vnd.composer.dashboard.v2+json) instead.
DELETE
GET
PUT
The new /api/dashboards API endpoint no longer relies on visuals. Instead, it uses widgets.
  • The visualizations container is renamed to widgets.
  • The new widgets array contains widget objects, which contain only widget-specific information: id, name, description, layout, visualId, and dashboardLink.

In addition, the bookmarksMap object returned in the response when using the v3 version of the Composer API (application/vnd.composer.v3+json) has been renamed content.
The /api/dashboard family of API endpoints were updated with a new payload in this release. To use vnd.composer.dashboards.v1+json for backward compatibility, including the use of the bookmarksMap object (instead of the new content object), turn on the dashboard-v1-api variable on the Server-Level Variables page (only a Composer supervisor can make this change). See Server-Level Variables.
/api/visualizations/libs/*DELETE
GET
POST
PUT
The /api/visualizations/libs endpoint is deprecated and will be removed in a future release. Use the custom chart CLI instead. See Maintain Custom Charts Using the Custom Chart CLI.
/api/sources/<id>/keyGETThese security-related endpoints are deprecated and will be removed in a future release. Use Trusted Access instead for all embedded workflows. See Trusted Access and Embed Components Using JavaScript and Trusted Access.
/api/sources/remove/<id>DELETE
/api/sources/keyGET
/api/screenshot/*GET
POST
PUT
The screenshot-related endpoints are deprecated and will be removed in a future release.
/oauth/authorizeGETThis endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
/oauth2/clientDELETE
GET
POST
PUT
This endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
/oauth2/tokenDELETE
GET
POST
This endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
EndpointMethodDescription
6.8 API Updates
OpenAPI Updates---The Composer API specification is now generated in OpenAPI 3.0 format.
Group Updates---Groups can no longer be transferred to a different account using the API.
/api/export/generate/rawdata---This endpoint is deprecated and will be removed in a future release. Use /api/export/csv/raw instead.
EndpointMethodDescription
6.7 API Updates
/api/keysets/uploadPOSTThis new endpoint creates a keyset from a CSV file. See Upload Keyset Data From a CSV File Using the API.
/api/keysets/upload/<keyset-id>PUTThis new endpoint updates a keyset from a CSV file. See Update Keyset Values From a CSV File Using the API.
/api/dashboards/<dashboard-ID>/interactivityGETThis new endpoint returns the dashboard’s interactivity profile. If you do not have authorization for a dashboard, errors are returned.
PUTThis new endpoint saves a dashboard’s interactivity profile.
DELETEThis new endpoint deletes a dashboard’s interactivity profile.
/api/dashboards/interactivityGETThis new endpoint lists the existing dashboard interactivity profiles.
/api/dashboard/<dashboard-ID>?interactivityProfile={linked | readonly | interactive}GETThis new endpoint returns the dashboard payload with one of the following three profile names:
  • linked: Uses the dashboard interactivity profile set for the dashboard.
  • readonly: Overrides the dashboard interactivity profile, setting all visual interactivity settings to false, so users can view the dashboard and its visuals, but not interact with them.
  • interactive: Overrides the dashboard interactivity profile and all visual interactive settings to true, so users can view and interact with the dashboard and its visuals. This is the opposite of readonly.
/api/sources/<source-ID>/fields/metaGETThis new endpoint is an experimental endpoint that returns information about all the fields and metrics in a data source.
EndpointMethodDescription
6.6 API Updates
Group privilege renamedThe API privilege ROLE_MANAGE_VISUALS was renamed to ROLE_ADMINISTER_VISUALS. Customers who use the API to manage groups must manually make this change wherever ROLE_MANAGE_VISUALS is currently used.
/api/dashboards/<dashboard-id>/acls/bulkPATCHThis new endpoint assigns permissions for a dashboard to a list of security identities (groups, users, accounts).
/api/sources/<source-id>/acls/bulkPATCHThis new endpoint assigns permissions for a data source to a list of security identities (groups, users, accounts).
/api/user/permissions/visuals/<visual-id>GETThis new endpoint retrieves the permissions for a visual for the currently logged in user.
/api/visualsGETThe payload from this API now can include permission information for the visual, if the query parameter includePermissions=true is included, enabling this capability.
EndpointMethodDescription
6.5 API Updates
/api/trusted-access/clientsGETReturns all the Trusted Access client information in the metadata. Included with this information is the access token validity time (in seconds), client ID, client name, client secret expiration time (in seconds), and the token authentication method. For a description of these, see Trusted Access Client Properties.
/api/trusted-access/clientsPOSTCreates a Trusted Access client. The request must specify the number of seconds for which the access token is valid and the client name. The client name must be unique. When you create the client, the client ID, client secret, secret expiration time, and the token authentication method are automatically generated.
/api/trusted-access/clients/<id>GETReturns the Trusted Access client information for a specific client. The request must specify the client ID.
/api/trusted-access/clients/<id>DELETEDeletes a specific Trusted Access client. The request must specify the client ID.
/api/trusted-access/clients/<id>PATCHUpdates the Trusted Access client information for a specific client. The request must specify the client ID and the number of seconds for which the access token is valid.
/api/trusted-access/tokenPOSTGenerates a new access token for a user. The request must specify the Composer user name. The user must already exist, and have an active Composer user account (unless you are using LDAP with automatic provisioning for Composer).
EndpointMethodDescription
6.4 API Updates
/api/sources/<source-id>/cache/visdataDELETEClears the visual data cache.
/api/sources/<source-id>/cache/metadataDELETEClears the metadata cache.
/api/sources/<source-id>/cacheDELETEClears both the visual and metadata caches.
Source definition endpoints---A new boolean cacheableMetadata property indicates whether metadata caching is enabled for a data source. The existing cacheable property indicates whether caching, in general, is enabled for the data source.
---A new statsCached property allows you to control metadata (field statistics) caching on a per-field basis. This property can be used to configure the field statistics look-up via materialized views (ignoring internal caches and redirecting the requests from the original source) and to improve the performance of statistics requests when precreated statistics data exists. Please contact your Technical Support representative to get guidance on how to configure this.
/api/visdefs/<source-id>---This endpoint is deprecated. It is replaced by a new /api/visuals/source/<source-id>/summary endpoint. The response produced by the new endpoint has also changed to include a new visualId setting.
/api/visuals/source/<source-id>/summaryGETThis endpoint obtains the default visual definitions for a data source configuration.
EndpointMethodDescription
6.3 API Updates
/api/user/permissions/sourcesGETLists the permission levels for the logged in user for all data source configurations in the system.
/api/user/permissions/sources/<sourceid>GETRetrieves the currently logged in user’s source permissions for a data source.
/api/sources/<sourceid>/aclsGETRetrieves a list of access rights for a data source. You can restrict the list to specific users, groups, or accounts using the sidTypes parameter. In addition, you can use the returnSids parameter to restrict the list so it retrieves only users, groups, or accounts with access to the data sources or to only users, groups, or accounts without access.
/api/sources/<sourceid>/acls/bulkPUTGrants or revokes permissions to a data source configuration a list of groups, users, or accounts.
/api/sources/<source-id>/security/attributes---These endpoints now support the specification of multiple groups for a data source column security filter.
/api/sources/<source-id>/security/attributes/<id>---
EndpointMethodDescription
6.2 API Updates
Visual placement---An error is now produced when you try to place the same visual on a dashboard twice.
/api/groupsThe sources field is deprecated and will be removed in a future release.
The configType field is deprecated and will be removed in a future release.
EndpointMethodDescription
6.1 API Updates
/api/sources/<source-id>/security/filters---This endpoint is enhanced to support account and user security identifiers. In past releases, only group security identifiers were supported.
/api/security/sids---This new endpoint is introduced to retrieve security ID information. The sidTypes parameter can be specified with this new endpoint to limit the type of security ID information retrieved. Valid values for sidTypes are GROUP, USER, ACCOUNT, or ALL (the default).
EndpointMethodDescription
6.0 API Updates
With this release, you can no longer use <hostname>:8080/zoomdata/api/version. This is no longer supported. Use <hostname>:8080/composer/api/version instead.

Deprecated and Removed Features

Composer v26

Deprecated Features

TitleDescription
26.2.1 Deprecated Features
None.
26.2 Deprecated Features
UI MenuIn environments where the enhanced-experience toggle has been enabled, the UI menu has been reconfigured into an always-available main menu. Access your content and navigate options using the main menu or home page.
Top-Level NavigationIn environments where the enhanced-experience toggle has been enabled, the top-level navigation option has been removed from the user interface. Access your content and navigate options using the main menu or home page.
System Users Menu OptionIn environments where the enhanced-experience toggle has been enabled, the menu option System Users has been removed from the main menu UI. Users with appropriate privileges can instead access users using the User menu option, and groups using the Groups menu option.
Multi-Tenancy Menu OptionIn environments where the enhanced-experience toggle has been enabled, the menu option Multi-Tenancy has been renamed Tenants. Use this option to create, access, and manage tenant accounts.
Edit Tenant Work AreaIn environments where the enhanced-experience toggle has been enabled, the Edit Tenant work area has been redesigned. Switch between tenants to edit by selecting a different tenant from the tenant list in the Multi-Tenancy work area.
The General tab and tenant switching dropdown list have been removed.
Zoom / Drill Down in the Context MenuIn environments where the enhanced-experience toggle has been enabled, the context menu option users see when examining a visual has changed. Zoom has been renamed to Drill Down.
Source Editor ImprovementsThe Joins node label in the data source canvas has been renamed Add Join.
TitleDescription
26.1.3 Deprecated Features
None.
26.1.2 Deprecated Features
None.
26.1.1 Deprecated Features
None.
26.1 Deprecated Features
None.

Removed Features

TitleDescription
26.2.2 Removed Features
None.
26.2.1 Removed Features
None.
26.2 Removed Features
UI MenuIn environments where the enhanced-experience toggle has been enabled, the UI menu has been reconfigured into an always-available main menu. Access your content and navigate options using the main menu or home page.
Top-Level NavigationIn environments where the enhanced-experience toggle has been enabled, the top-level navigation option has been removed from the user interface. Access your content and navigate options using the main menu or home page.
System Users Menu OptionIn environments where the enhanced-experience toggle has been enabled, the menu option System Users has been removed from the main menu UI. Users with appropriate privileges can instead access users using the User menu option, and groups using the Groups menu option.
Multi-Tenancy Menu OptionIn environments where the enhanced-experience toggle has been enabled, the menu option Multi-Tenancy has been renamed Tenants. Use this option to create, access, and manage tenant accounts.
Edit Tenant Work AreaIn environments where the enhanced-experience toggle has been enabled, the Edit Tenant work area has been redesigned. Switch between tenants to edit by selecting a different tenant from the tenant list in the Multi-Tenancy work area.
The General tab and tenant switching dropdown list have been removed.
TitleDescription
26.1.3 Removed Features
None.
26.1.2 Removed Features
None.
26.1.1 Removed Features
None.
26.1 Removed Features
None.

Composer v25

Deprecated Features

TitleDescription
25.4.5 Deprecated Features
None.
25.4.4 Deprecated Features
None.
25.4.3 Deprecated Features
None.
25.4.2 Deprecated Features
None.
25.4.1 Deprecated Features
None.
25.4 Deprecated Features
None.
TitleDescription
25.3.8 Deprecated Features
None.
25.3.7 Deprecated Features
None.
25.3.6 Deprecated Features
None.
25.3.5 Deprecated Features
None.
25.3.4 Deprecated Features
None.
25.3.3 Deprecated Features
None.
25.3.2 Deprecated Features
None.
25.3.1 Deprecated Features
None.
25.3 Deprecated Features
None.
TitleDescription
25.2.10 Deprecated Features
None.
25.2.9 Deprecated Features
None.
25.2.8 Deprecated Features
None.
25.2.7 Deprecated Features
None.
25.2.6 Deprecated Features
None.
25.2.5 Deprecated Features
None.
25.2.4 Deprecated Features
None.
25.2.3 Deprecated Features
None.
25.2.2 Deprecated Features
None.
25.2.1 Deprecated Features
None.
25.2 Deprecated Features
None.
TitleDescription
25.1.11 Deprecated Features
None.
25.1.10 Deprecated Features
None.
25.1.9 Deprecated Features
None.
25.1.8 Deprecated Features
None.
25.1.7 Deprecated Features
None.
25.1.6 Deprecated Features
None.
25.1.5 Deprecated Features
None.
25.1.4 Deprecated Features
None.
25.1.3 Deprecated Features
None.
25.1.2 Deprecated Features
None.
25.1.1 Deprecated Features
None.
25.1 Deprecated Features
None.

Removed Features

TitleDescription
25.4.5 Removed Features
None.
25.4.4 Removed Features
None.
25.4.3 Removed Features
None.
25.4.2 Removed Features
None.
25.4.1 Removed Features
None.
25.4 Removed Features
None.
TitleDescription
25.3.8 Removed Features
None.
25.3.7 Removed Features
None.
25.3.6 Removed Features
None.
25.3.5 Removed Features
None.
25.3.4 Removed Features
None.
25.3.3 Removed Features
None.
25.3.2 Removed Features
None.
25.3.1 Removed Features
None.
25.3 Removed Features
None.
TitleDescription
25.2.10 Removed Features
None.
25.2.9 Removed Features
None.
25.2.8 Removed Features
None.
25.2.7 Removed Features
None.
25.2.6 Removed Features
None.
25.2.5 Removed Features
None.
25.2.4 Removed Features
None.
25.2.3 Removed Features
None.
25.2.2 Removed Features
None.
25.2.1 Removed Features
None.
25.2 Removed Features
None.
TitleDescription
25.1.11 Removed Features
None.
25.1.10 Removed Features
None.
25.1.9 Removed Features
None.
25.1.8 Removed Features
None.
25.1.7 Removed Features
None.
25.1.6 Removed Features
None.
25.1.5 Removed Features
None.
25.1.4 Removed Features
None.
25.1.3 Removed Features
None.
25.1.2 Removed Features
None.
25.1.1 Removed Features
None.
25.1 Removed Features
None.

Composer v24

Deprecated Features

TitleDescription
24.4.16 Deprecated Features
None.
24.4.15 Deprecated Features
None.
24.4.14 Deprecated Features
None.
24.4.13 Deprecated Features
None.
24.4.12 Deprecated Features
None.
24.4.11 Deprecated Features
None.
24.4.10 Deprecated Features
None.
24.4.9 Deprecated Features
None.
24.4.8 Deprecated Features
None.
24.4.7 Deprecated Features
None.
24.4.6 Deprecated Features
None.
24.4.5 Deprecated Features
None.
24.4.4 Deprecated Features
None.
24.4.3 Deprecated Features
None.
24.4.2 Deprecated Features
None.
24.4.1 Deprecated Features
None.
24.4 Deprecated Features
None.
TitleDescription
24.3.10 Deprecated Features
None.
24.3.9 Deprecated Features
None.
24.3.8 Deprecated Features
None.
24.3.7 Deprecated Features
None.
24.3.6 Deprecated Features
None.
24.3.5 Deprecated Features
None.
24.3.4 Deprecated Features
None.
24.3.3 Deprecated Features
None.
24.3.2 Deprecated Features
None.
24.3.1 Deprecated Features
None.
24.3 Deprecated Features
None.
TitleDescription
24.2.12 Deprecated Features
None.
24.2.11 Deprecated Features
None.
24.2.10 Deprecated Features
None.
24.2.9 Deprecated Features
None.
24.2.8 Deprecated Features
None.
24.2.7 Deprecated Features
None.
24.2.6 Deprecated Features
None.
24.2.5 Deprecated Features
None.
24.2.4 Deprecated Features
None.
24.2.3 Deprecated Features
None.
24.2.2 Deprecated Features
None.
24.2.1 Deprecated Features
None.
24.2 Deprecated Features
None.
TitleDescription
24.1.12 Deprecated Features
None.
24.1.11 Deprecated Features
None.
24.1.10 Deprecated Features
None.
24.1.9 Deprecated Features
None.
24.1.8 Deprecated Features
None.
24.1.7 Deprecated Features
None.
24.1.6 Deprecated Features
None.
24.1.5 Deprecated Features
None.
24.1.4 Deprecated Features
None.
24.1.3 Deprecated Features
None.
24.1.2 Deprecated Features
None.
24.1.1 Deprecated Features
None.
24.1 Deprecated Features
None.

Removed Features

TitleDescription
24.4.16 Removed Features
None.
24.4.15 Removed Features
None.
24.4.14 Removed Features
None.
24.4.13 Removed Features
None.
24.4.12 Removed Features
None.
24.4.11 Removed Features
None.
24.4.10 Removed Features
None.
24.4.9 Removed Features
None.
24.4.8 Removed Features
None.
24.4.7 Removed Features
None.
24.4.6 Removed Features
None.
24.4.5 Removed Features
None.
24.4.4 Removed Features
None.
24.4.3 Removed Features
None.
24.4.2 Removed Features
None.
24.4.1 Removed Features
None.
24.4 Removed Features
None.
TitleDescription
24.3.10 Removed Features
None.
24.3.9 Removed Features
None.
24.3.8 Removed Features
None.
24.3.7 Removed Features
None.
24.3.6 Removed Features
None.
24.3.5 Removed Features
None.
24.3.4 Removed Features
None.
24.3.3 Removed Features
None.
24.3.2 Removed Features
None.
24.3.1 Removed Features
None.
24.3 Removed Features
None.
TitleDescription
24.2.13 Removed Features
None.
24.2.11 Removed Features
None.
24.2.10 Removed Features
None.
24.2.9 Removed Features
None.
24.2.8 Removed Features
None.
24.2.7 Removed Features
None.
24.2.6 Removed Features
None.
24.2.5 Removed Features
None.
24.2.4 Removed Features
None.
24.2.3 Removed Features
None.
24.2.2 Removed Features
None.
24.2.1 Removed Features
None.
24.2 Removed Features
None.
TitleDescription
24.1.12 Removed Features
None.
24.1.11 Removed Features
None.
24.1.10 Removed Features
None.
24.1.9 Removed Features
None.
24.1.8 Removed Features
None.
24.1.7 Removed Features
None.
24.1.6 Removed Features
None.
24.1.5 Removed Features
None.
24.1.4 Removed Features
None.
24.1.3 Removed Features
None.
24.1.2 Removed Features
None.
24.1.1 Removed Features
None.
24.1 Removed Features
None.

Composer v23

Deprecated Features

TitleDescription
23.4.13 Deprecated Features
None.
23.4.12 Deprecated Features
None.
23.4.11 Deprecated Features
None.
23.4.10 Deprecated Features
None.
23.4.9 Deprecated Features
None.
23.4.8 Deprecated Features
None.
23.4.7 Deprecated Features
None.
23.4.6 Deprecated Features
None.
23.4.5 Deprecated Features
None.
23.4.4 Deprecated Features
None.
23.4.3 Deprecated Features
None.
23.4.2 Deprecated Features
None.
23.4.1 Deprecated Features
None.
23.4 Deprecated Features
Tenancy and Default Account Changes
  • The superaccount work area is renamed to Visual Data Discovery.
  • The company tenant is no longer created by Composer for new installations, existing company tenants remain unchanged.
  • The default admin user is now the system administrator and has all supervisor user privileges, as a member of the Visual Data Discovery tenant.
  • The default supervisor user is no longer installed; add users to the Supervisors group instead.
  • Tenant Accounts are now known as Tenants in the user interface.
TitleDescription
23.3.14 Deprecated Features
None.
23.3.13 Deprecated Features
None.
23.3.12 Deprecated Features
None.
23.3.11 Deprecated Features
None.
23.3.10 Deprecated Features
None.
23.3.9 Deprecated Features
None.
23.3.8 Deprecated Features
None.
23.3.7 Deprecated Features
None.
23.3.6 Deprecated Features
None.
23.3.5 Deprecated Features
None.
23.3.4 Deprecated Features
None.
23.3.3 Deprecated Features
None.
23.3.2 Deprecated Features
None.
23.3.1 Deprecated Features
None.
23.3 Deprecated Features
Cloudmade for Map VisualsCloudmade’s tile support is no longer available, and has been removed from map visuals.
Existing visuals that use the Cloudmade Tile Provider are migrated to Open Street Maps when you upgrade to this release or later.
TitleDescription
23.2.15 Deprecated Features
None.
23.2.14 Deprecated Features
None.
23.2.13 Deprecated Features
None.
23.2.12 Deprecated Features
None.
23.2.11 Deprecated Features
None.
23.2.10 Deprecated Features
None.
23.2.9 Deprecated Features
None.
23.2.8 Deprecated Features
None.
23.2.7 Deprecated Features
None.
23.2.6 Deprecated Features
None.
23.2.5 Deprecated Features
None.
23.2.4 Deprecated Features
None.
23.2.3 Deprecated Features
None.
23.2.2 Deprecated Features
Alerts IconThe alerts icon is no longer present in dashboards for users who do not have the Create Alerts or Administer Alerts privilege.
23.2.1 Deprecated Features
None.
23.2 Deprecated Features
Materialized ViewsMaterialized views are disabled by default. To enable, contact technical support for assistance.
Connector Properties for Integer to Datetime Conversion in Timezone OffsetsThe properties datasource.timestamp-millis-fields-names and datasource.timestamp-millis-fields-pattern are deprecated and will be removed in a future release.
TitleDescription
23.1.14 Deprecated Features
None.
23.1.13 Deprecated Features
None.
23.1.12 Deprecated Features
None.
23.1.11 Deprecated Features
None.
23.1.10 Deprecated Features
None.
23.1.9 Deprecated Features
None.
23.1.8 Deprecated Features
None.
Composer 23.1.7 Deprecated Features
None.
23.1.6 Deprecated Features
None.
23.1.5 Deprecated Features
None.
23.1.4 Deprecated Features
None.
23.1.3 Deprecated Features
None.
23.1.2 Deprecated Features
None.
23.1.1 Deprecated Features
None.
23.1 Deprecated Features
Materialized Views APIThe Materialized Views API is deprecated. This API will be removed in a future release.
Scheduled Dashboard ReportssendOnlyToMe is deprecated and will be removed in a future release.
Raw Data Export EndpointThe endpoint /api/export/csv/raw is deprecated and will be removed in a future release. When used, returns payload as DeprecatedRawDataExportResource. Use /api/export/rawdataforvisual instead.
Visual Data Export EndpointThe endpoint /api/export/chartdata/{file_name} is deprecated and will be removed in a future release. When used, returns payload as DeprecatedVisualDataExportResource. Use /api/export/visualdata instead.
Admin ServiceThe Admin Service microservice, used for capturing common logs, is deprecated and will be removed in a future release.
  • For non-Kubernetes environments: Use the Consul UI to observe the general health state of your deployment. Adjust logging levels using the service.properties file or the Consul API.
  • For Kubernetes environments: Configuration management compatible with Kubernetes will replace the Admin Service microservice.

See How Do I Enable Debug Mode in Services?.
Activity LoggingActivity logging in zoomdata-activity.log is deprecated and will be removed in a future release.
Information previously captured in zoomdata-activity.log can be found in other log files such as access.log, service.log, and by using Composer’s User Auditing feature.

Removed Features

TitleDescriptionAlternative
23.4.13 Removed Features
None.
23.4.12 Removed Features
None.
23.4.11 Removed Features
None.
23.4.10 Removed Features
None.
23.4.9 Removed Features
None.
23.4.8 Removed Features
None.
23.4.7 Removed Features
None.
23.4.6 Removed Features
None.
23.4.5 Removed Features
None.
23.4.4 Removed Features
None.
23.4.3 Removed Features
None.
23.4.2 Removed Features
None.
23.4.1 Removed Features
None.
23.4 Removed Features
None.
TitleDescriptionAlternative
23.3.14 Removed Features
None.
23.3.13 Removed Features
None.
23.3.12 Removed Features
None.
23.3.11 Removed Features
None.
23.3.10 Removed Features
None.
23.3.9 Removed Features
None.
23.3.8 Removed Features
None.
23.3.7 Removed Features
None.
23.3.6 Removed Features
None.
23.3.5 Removed Features
None.
23.3.4 Removed Features
None.
23.3.3 Removed Features
None.
23.3.2 Removed Features
None.
23.3.1 Removed Features
None.
23.3 Removed Features
api/trusted-access/tokenThe API /api/trusted-access/token, deprecated in an earlier release (Composer v7.5), is now removed.Use /api/trusted-access/push/tokens or /api/trusted-access/pull/tokens instead. See Trusted Access API Endpoints.
/api/visualizations/* and API for Visualizations componentsAll APIs in the control /api/visualizations/*, deprecated in an earlier release (Composer v7), are now removed.
The complete list of removed APIs:
  • GET /api/visualizations/{id}
  • PUT /api/visualizations/{id}
  • DELETE /api/visualizations/{id}
  • GET /api/visualizations
  • POST /api/visualizations
  • POST /api/visualizations/import
  • GET /api/visualizations/export/{visId}
  • POST /api/visualizations/thumbnail
  • GET /api/visualizations/{visId}/thumbnail/{thumbnailId}
  • GET /api/visualizations/{visualizationId}/source/{componentId}
Use the APIs /api/visual-types/* instead:
  • GET /api/visual-types/{id}
  • PUT /api/visual-types/{id}
  • DELETE /api/visual-types/{id}
  • GET /api/visual-types
  • POST /api/visuals-types

Export and import visual types:
  • GET /api/visual-types/export/{visTypeId}
  • POST /api/visual-types/import

Thumbnail management:
  • POST /api/visual-types/thumbnail
  • GET /api/visual-types/{visTypeId}/thumbnail/{thumbnailId}

Visualizations components:
  • GET /api/visual-types/components/{componentId}
/api/system/systemInfoThe API api/system/systemInfo, deprecated in an earlier release, is now removed.Use /api/version to see the current application version and system information.
The userId and disabledMessage fieldsThe fields userId and disabledMessage used in the connections-related endpoints and deprecated in an earlier release are now removed.
Affected APIs:
  • All APIs in the connections control (including GET, POST, PUT``/api/connections etc.)
  • All APIs in the dashboard-migration control (GET``/api/dashboards/export and POST``/api/dashboards/import)

Use createdByUserID and lastModifiedByUserID as references instead of userId.
Use createdByUserID and lastModifiedByUserID as references instead of userId.
Filter Snippet Source FieldThe Field column, used to select a data field from a linked source, has been removed.Select a data field in Value Column, and if available, add a Display Column.
TitleDescription
23.2.15 Removed Features
None.
23.2.14 Removed Features
None.
23.2.13 Removed Features
None.
23.2.12 Removed Features
None.
23.2.11 Removed Features
None.
23.2.10 Removed Features
None.
23.2.9 Removed Features
None.
23.2.8 Removed Features
None.
23.2.7 Removed Features
None.
23.2.6 Removed Features
None.
23.2.5 Removed Features
None.
23.2.4 Removed Features
None.
23.2.3 Removed Features
None.
23.2.2 Removed Features
None.
23.2.1 Removed Features
None.
23.2 Removed Features
Legends for KPI VisualsLegends have been removed from KPI visuals.
hasRawData, hasRawDataOnlySupport for these fields are removed for the endpoint /api/sources/{sourceId}/visual-types/variables-values/. Use RAW_DATA instead.
Media Type application/vnd.composer.dashboard.v2+jsonThe media type application/vnd.composer.dashboard.v2+json for api/dashboards, deprecated in an earlier release, is now removed.
page and size ParametersThe parameters page and sizefor the Users autocomplete endpoint GET /api/users/autocomplete, deprecated in a previous release, have been removed.
TitleDescription
23.1.14 Removed Features
None.
23.1.13 Removed Features
None.
23.1.12 Removed Features
None.
23.1.11 Removed Features
None.
23.1.10 Removed Features
None.
23.1.9 Removed Features
None.
23.1.8 Removed Features
None.
23.1.7 Removed Features
None.
23.1.6 Removed Features
None.
23.1.5 Removed Features
None.
23.1.4 Removed Features
None.
23.1.3 Removed Features
None.
23.1.2 Removed Features
None.
23.1.1 Removed Features
None.
23.1 Removed Features
Tracing MicroserviceThe Composer Tracing Microservice (zoomdata-tracing-server), deprecated in a previous release, is now removed.

Composer v22

Deprecated Features

TitleDescription
22.4.14 Deprecated Features
None.
22.4.13 Deprecated Features
None.
22.4.12 Deprecated Features
None.
22.4.11 Deprecated Features
None.
22.4.10 Deprecated Features
None.
22.4.9 Deprecated Features
None.
22.4.8 Deprecated Features
None.
22.4.7 Deprecated Features
None.
22.4.6 Deprecated Features
None.
22.4.5 Deprecated Features
None.
22.4.4 Deprecated Features
None.
22.4.3 Deprecated Features
None.
22.4.2 Deprecated Features
None.
22.4.1 Deprecated Features
None.
22.4 Deprecated Features
Tracing Microservice SupportThe Composer Tracing Microservice (zoomdata-tracing-server) is deprecated. This service will be removed in a future release, replaced by an alternative feature.
Edit Visual Menu OptionsThe More menu option Edit Visual is renamed Settings for visuals and rich text snippets.

Removed Features

TitleDescription
22.4.14 Removed Features
None.
22.4.13 Removed Features
None.
22.4.12 Removed Features
None.
22.4.11 Removed Features
None.
22.4.10 Removed Features
None.
22.4.9 Removed Features
None.
22.4.8 Removed Features
None.
22.4.7 Removed Features
None.
22.4.6 Removed Features
None.
22.4.5 Removed Features
None.
22.4.4 Removed Features
None.
22.4.3 Removed Features
None.
22.4.2 Removed Features
None.
22.4.1 Removed Features
None.
22.4 Removed Features
Radial MenuRadial menu functionality has been streamlined into and replaced by the Context Menu.

Composer v8.4 and Earlier

Deprecated Features

TitleDescription
8.4.1 Deprecated Features
None.
8.4 Deprecated Features
Logging UpdatesThe logback.zoomdata property, previously used to control the log level of some loggers, has been removed. Use a standard spring boot approach to specify appropriate properties.
TitleDescription
8.3 Deprecated Features
Elasticsearch Support UpdateComposer no longer supports the use of Elasticsearch version 6. Use Elasticsearch 7 or 8 instead.
TitleDescription
8.2 Deprecated Features
Support for Presto ConnectorsComposer no longer supports use of the Presto connector version 319; the Presto connector will be removed in a future release. Use the new Trino connector; see Manage the Trino Connector.
TitleDescription
8.1 Deprecated Features
visualIdvisualId is now deprecated from the widgets payload of /api/dashboards/.
Scheduled Reports API UpdatesThe behavior of the attribute sendOnlyToOwner is changed. When the attribute is set to true, the current user is now added to the list of users, and sendOnlyToOwner is reset by Logi Composer to false. The attribute sendOnlyToOwner is deprecated, and will be removed in a future release.
TitleDescription
8.0 Deprecated Features
None.

Removed Features

TitleDescription
8.4.1 Removed Features
None.
8.4 Removed Features
None.
TitleDescription
8.3 Removed Features
Composer SDKThe Composer SDK is no longer supported.
TitleDescription
8.2 Removed Features
Visual Info Sidebar Menu UpdateThe field Default Title has been removed from the Info sidebar menu of visuals.
Visual Gallery UpdatesThe Usage column has been removed.
TitleDescription
8.1 Removed Features
Scheduled ReportsThe Send to me toggle is removed, replaced by a field you can use to add report recipients, prepopulated with the current user’s information.
TitleDescription
8.0 Removed Features
WebSocket AuthenticationAuthentication of WebSocket connections in embedded mode using trusted access tokens in the WebSocket URL, deprecated in Composer v7.10, is now removed. Authentication is handled by the Embed Manager.

Composer v7.10 and Earlier

Deprecated Features

TitleDescription
7.10.23 Deprecated Features
None.
7.10.22 Deprecated Features
None.
7.10.21 Deprecated Features
None.
7.10.20 Deprecated Features
None.
7.10.19 Deprecated Features
None.
7.10.18 Deprecated Features
None.
7.10.17 Deprecated Features
None.
7.10.16 Deprecated Features
None.
7.10.15 Deprecated Features
None.
7.10.14 Deprecated Features
None.
7.10.13 Deprecated Features
None.
7.10.12 Deprecated Features
Composer SDKThe Composer SDK is deprecated, and is not supported in later versions of Composer.
7.10.11 Deprecated Features
None.
7.10.10 Deprecated Features
None.
7.10.9 Deprecated Features
None.
7.10.8 Deprecated Features
None.
7.10.7 Deprecated Features
None.
7.10.6 Deprecated Features
None.
7.10.5 Deprecated Features
None.
7.10.4 Deprecated Features
None.
7.10.3 Deprecated Features
None.
7.10.2 Deprecated Features
None.
7.10.1 Deprecated Features
None.
7.10 Deprecated Features
zoomdata-clientThe zoomdata-client is deprecated, and will be removed in a future release. You can embed Composer components using JavaScript and Trusted Access.
/api/visuals/The field defaultTitle is deprecated, and will be removed in a future release.
User Resource UpdateSeveral unused fields for user resource have been made read only and are deprecated in this release and removed in a future release.
  • groupRoles
  • external
  • deletable
  • userId
WebSocket AuthenticationAuthentication of WebSocket connections in embedded mode using trusted access tokens in the WebSocket URL has been deprecated. Authentication is now handled by the Embed Manager.
Embed Manager UpdateThe initialToken parameter is deprecated for the Embed Manager and will be removed in a future release.
System Activity APIThese system activity endpoints are deprecated in v7.10 and may be removed in a future release.
GET /api/system/activity/type/{activityType}
PUT /api/system/activity/type/{activityType}
GET /api/system/activity/type
TitleDescription
7.9 Deprecated Features
/api/inventory/The endpoint /api/inventory/ has been expanded to return additional information about dashboards and sources. If no parameter type is sent, DASHBOARD information is returned. This feature is deprecated and will be removed in a future release.
/api/connections/{connectionId}/previewThis endpoint has been deprecated and will be removed in a future release.
TitleDescription
7.8 Deprecated Features
/api/visuals/source/<source-id>/summary/The end point /api/visuals/source/<source-id>/summary/ is deprecated and will be removed in a future release.
TitleDescription
7.7 Deprecated Features
None.
TitleDescription
7.6 Deprecated Features
GET /api/visualsWe have removed the following fields for the GET api/visuals payload:
  • ownerType
  • name
  • >enabled

We have removed the following fields from the response payload of all other /api/visuals endpoints:
  • enabled
  • ownerType
  • lastModified
  • ownerSourceId
  • name
visualizationsDeprecated. Use /visual-types/.
visualization componentDeprecated. Use /visual-types/components/.
TitleDescription
7.5 Deprecated Features
/api/trusted-access/tokenDeprecated. Use /api/trusted-access/pull/tokens. This is primarily a name change for the endpoint; payloads and functionality remain unchanged.
TitleDescription
7.4 Deprecated Features
None.
TitleDescription
7.3 Deprecated Features
None.
TitleDescription
7.2 Deprecated Features
Standardized Max Threads PropertyComposer Web and Query Engine microservices no longer use the jetty.threadpool.maxThreads property. We have replaced it with server.jetty.max-threads for all microservices.
Property File Configuration (server.jetty.max-threads)
  • For QE and Zoomdata(Composer Web) is The number of threads to serve the HTTP & WebSocket clients.
  • For all other microservices is The number of threads to serve the HTTP clients.
TitleDescription
7.1 Deprecated Features
None.
TitleDescription
7.0 Deprecated Features
None.

Removed Features

TitleDescription
7.10 Removed Features
OAuth Support UpdateOAuth connection and token support, deprecated in a previous release, is now removed from the Composer interface and API. See Trusted Access.
${User.zoomdataUserName} Support UpdateThe context variable, ${User.zoomdataUserName}, deprecated in an earlier release, is now removed from Composer. Use ${User.composerUserName} in connections, in security filters, and in custom SQL instead.
/api/visuals/source/<source-id>/summary/The end point /api/visuals/source/<source-id>/summary/, deprecated in v7.8, is now removed.
/api/visdefs/default/{sourceId}/{visId}The endpoint /api/visdefs/default/{sourceId}/{visId}, deprecated in an earlier release, is now removed. Use /api/sources/{sourceId}/visual-types/{visualTypeId}/initial-visual instead.
Removal of Group FieldsTwo previously deprecated fields from group resources have now been removed:
  • configType from GroupResource
  • sources from GroupAclResource

Use /api/sources/{sourceId}/acls to manage source permissions.
Source Creation ChangesAs part of the redesigned source creation process, the source creation wizard has been removed. Available Visual Type selection is now managed by users with appropriate permissions on the Sources page.
TitleDescription
7.9 Removed Features
API/user/source-acl is now removed from Composer. It was deprecated in a previous release.
/user/source-acl/{sourceID} is now removed from Composer. It was deprecated in a previous release.
CLI API EndpointsVisualization library endpoints used by the CLI and deprecated in Self-Service Analytics v6.9 have been removed. These include:
  • GET /api/visualizations/libs
  • POST /api/visualizations/libs
  • DELETE /api/visualizations/libs/{id}
  • GET /api/visualizations/libs/{id}/*
application/vnd.composer.v2+json Media TypeThe media type application/vnd.composer.v2+json, deprecated in v6.9, has been removed. Use the application/vnd.composer.v3+json media type instead.
Custom Chart CLI UpdatesThe ability to edit the visibility of a custom chart using the CLI has been removed.
Activity Logging UpdatesThe system property activity.remember_me, deprecated in a previous release, has been removed from zoomdata.properties. The associated log file, Remember_me.log, is no longer generated.
Duplicate Custom MetricsThe ability to duplicate custom metrics in the Composer interface has been removed. You can continue to use the appropriate API endpoints to create multiple custom metrics with different names that use the same underlying formula.
Removal of Deprecated EndpointsSeveral groups of endpoints, deprecated in the Swagger specification in Composer 6.9, are now removed. This includes endpoints for sources from connections, file uploads, derived fields, formulas, and dashboards import and export.
TitleDescription
7.8 Removed Features
/api/preferences/The endpoint /api/preferences/, deprecated in 6.9, has been removed.
/api/inventory/The endpoint /api/inventory/ no longer returns a thumbnailDate field.
/api/dashboards/The endpoint /api/dashboards/ no longer returns a thumbnailDate field.
TitleDescription
7.7 Removed Features
Library View Support UpdateURL links to quick filters have been removed from the Dashboard Library to provide a more streamlined interface and embedding experience. Functionality of the quick filter icons remain unchanged.
Security Keys Authentication Update
  • Security Keys have been deprecated as an authentication option in Composer. As part of this change, existing public links previously tied to security keys cannot be used.
  • The /api/dashboards/{id}/key endpoint, used to generate security keys, has been removed.

This change additionally removes:
  • Application Property: activity.security_key
  • Activity Logging type: security_key
  • A field from activity logging records: userType

Support for iFrame embedding reliant on security keys has been removed. Use Trusted Access instead for all embedded workflows. See Trusted Access.
TitleDescription
7.6 Removed Features
Security Key UpdatesPreviously deprecated Security Keys endpoints are now removed from Composer. Use Trusted Access instead for all embedded workflows. See Trusted Access.
Group Privilege UpdateThe privilege Can Generate Dashboard Link has been removed. The API privilege ROLE_SHARE_DASHBOARDS has been removed.
TitleDescription
7.5 Removed Features
Remove Deprecated Security Keys-Related /api/sources endpointsAPIs affected:
GET /api/sources/{id}/key
GET /api/sources/key
DELETE /api/sources/remove/{id}
These APIs were deprecated in release v6.9 and have now been removed from the platform. Use Trusted Access instead for all embedded workflows. For more information about trusted access, see Trusted Access. For more information about embedding Composer components, see Embed Composer Components Using JavaScript and Trusted Access.
TitleDescription
7.4 Removed Features
/api/screenshot/*
/api/screenshot-management
The /api/screenshot/* endpoint and /api/screenshot-management endpoint were deprecated in v6.9 and are now removed.
This includes, for the screenshot-management tag:
  • GET /api/screenshot/{dasbhoardId}
  • PUT /api/screenshot/{dashboardId}
  • POST /api/screenshot/{dashboardId}

This includes, for the screenshot tag:
  • PUT /api/screenshot/{dasbhoardId}

This change additionally removes:
  • The screenshot field from the Import-Export payload
  • The thumbnailDate field from /api/inventory
  • The thumbnailDate field from /api/dashboards
  • The screenshot refresh job in the scheduler

Several screenshot-related properties are no longer in the property files:
  • screenshot.daemon.enabled
  • screenshots.dashboard.enabled
  • screenshot.daemon.schedule.rate
  • screenshot.webdriver.timeout
  • screenshot.height
  • screenshot.width
  • export.dashboard.screenshot.timeout.seconds
  • screenshot.daemon.threads.maximum
TitleDescription
7.3 Removed Features
None.
TitleDescription
7.2 Removed Features
Dashboard LibraryThe thumbnail view and dashboard preview views have been removed from the dashboard library.
TitleDescription
7.1 Removed Features
None.
TitleDescription
7.0 Removed Features
None.

Composer v6.9 and Earlier

Deprecated Features

TitleDescription
6.9.29 Deprecated Features
None.
6.9.28 Deprecated Features
None.
6.9.27 Deprecated Features
None.
6.9.26 Deprecated Features
None.
6.9.25 Deprecated Features
None.
6.9.24 Deprecated Features
None.
6.9.23 Deprecated Features
None.
6.9.22 Deprecated Features
None.
6.9.21 Deprecated Features
None.
6.9.20 Deprecated Features
None.
6.9.19 Deprecated Features
None.
6.9.18 Deprecated Features
None.
6.9.17 Deprecated Features
None.
6.9.16 Deprecated Features
None.
6.9.15 Deprecated Features
None.
6.9.14 Deprecated Features
None.
6.9.13 Deprecated Features
None.
6.9.12 Deprecated Features
None.
6.9.11 Deprecated Features
None.
6.9.10 Deprecated Features
None.
6.9.9 Deprecated Features
None.
6.9.8 Deprecated Features
None.
6.9.7 Deprecated Features
None.
6.9.6 Deprecated Features
None.
6.9.5 Deprecated Features
None.
6.9.4 Deprecated Features
None.
6.9.3 Deprecated Features
APIThe /api/sources and /api/upload endpoints are deprecated and will be removed in a future release.
6.9.2 Deprecated Features
Custom Metric Date and Time Aggregation FunctionsThe custom metric DATE(), DateADD, and DateSUB functions still work but should no longer be used. They are deprecated in this release and will be removed in a future release. Instead, use the now() and time_add functions. See Date and Time Filter Aggregation Functions.
6.9.1 Deprecated Features
None.
6.9 Deprecated Features
APIThe media type application/vnd.composer.v2+json is deprecated and will be removed in a future release. Use the application/vnd.composer.v3+json media type instead.
The GET /api (/composer/api) endpoint is now deprecated and will be removed from the product in a future release.
The /api/dashboards/* endpoint used in the v1 version of the API (application/vnd.composer.dashboard.v1+json) is deprecated and will be removed in a future release. Use the new version of the endpoint in the v2 version of the API (application/vnd.composer.dashboard.v2+json) or application/vnd.composer.v2 instead. Errors will result if you attempt to use application/vnd.composer.dashboard.v1+json.
Contact Customer Support to use vnd.composer.dashboards.v1+json for backward compatibility, including the use of the bookmarksMap object (instead of the new content object).
When no content-type header is specified, Composer defaults to using application/vnd.composer.dashboard.v1+json.
The /api/upload endpoint is deprecated and will be removed in a future release.
The /api/visualizations/lib/* endpoint is deprecated and will be removed in a future release. Use the custom chart CLI instead. See Maintain Custom Charts Using the Custom Chart CLI.
The /api/sources endpoint is deprecated and will be replaced in a future release.
The GET /api/sources/<id>/key endpoint is now deprecated and will be removed in a future release. Use Trusted Access instead for all embedded workflows. See Trusted Access and Embed Components Using JavaScript and Trusted Access.
The DELETE /api/sources/remove/<id> endpoint is now deprecated and will be removed in a future release. Use Trusted Access instead for all embedded workflows. See Trusted Access and Embed Components Using JavaScript and Trusted Access.
The GET /api/sources/key endpoint is now deprecated and will be removed in a future release. Use Trusted Access instead for all embedded workflows. See Trusted Access and Embed Components Using JavaScript and Trusted Access.
The /api/screenshot/* endpoint and /api/screenshot-management endpoint are deprecated and will be removed in a future release.
The GET /oauth/authorize endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
The /oauth2/client endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
The /oauth2/token endpoint is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access API Endpoints.
The following fields in the response payload of the GET /api/visuals endpoint are deprecated and will be removed in a future release.
  • enabled
  • ownerType
  • name (use visualName instead)
  • dashboardLinks (this field is now defined and stored in the new dashboard API response payload)
The following fields in the response payload of all other /api/visuals endpoints are deprecated and will be removed in a future release.
  • enabled
  • ownerType
  • lastModified (use lastModifiedDate instead)
  • ownerSourceId (use source.sourceId instead)
  • name (use visualName instead)
  • dashboardLinks ((this field is now defined and stored in the new dashboard API response payload)
Data SourcesThe Enabled column on the Sources page of the UI is deprecated and will be removed in a future release. You can no longer disable data source configuration definitions, so when the column is removed, all disabled data sources will automatically be enabled. If you do not want the data sources disabled, you should delete them. You can control access to a data source configuration using data source permissions, as well as row and column data source restrictions.
The import and export JSON definition functions for data source configurations are deprecated and will be removed in a future release. Plans are underway to replace this functionality with an improved option in a future release.
DashboardsThe import and export JSON definition functions for dashboard configurations are deprecated and will be removed in a future release. Plans are underway to replace this functionality with an improved option in a future release.
OAuth SecurityThe OAuth Authentication Service is deprecated and will be removed in a future release. Use Trusted Access instead. See Trusted Access.
Security KeysSecurity keys are deprecated in this release and will be removed in a future release. Use Trusted Access instead for all embedded workflows. See Trusted Access.
Older Dashboard Embed StructureSupport for the iFrameless dashboard embed structure used in Composer 5.9 and older versions is deprecated in this release and will be removed in a future release. Use the new embed structure and methodology documented in Embed Components Into Your Application instead.
TitleDescription
6.8 Deprecated Features
APIThe /api/export/generate/rawdata endpoint is deprecated and will be removed in a future release. Use /api/export/csv/raw instead.
Custom Chart CLIThe following custom chart CLI libraries are deprecated: nvd3.multiline.js, fabric.js, require/require.js.
TitleDescription
6.7 Deprecated Features
Embedded DashboardsThe mode property of the createComponent Javascript method used when embedding dashboards is deprecated. Use dashboard interactivity instead. See Control How Users Interact With a Dashboard.
TitleDescription
6.6 Deprecated Features
None.
TitleDescription
6.5 Deprecated Features
JavaScript propertiesThe application.banner and application.logo JavaScript properties are deprecated. See Supported Embedded Dashboard Properties and Objects.
TitleDescription
6.4 Deprecated Features
None.
TitleDescription
6.3 Deprecated Features
None.
TitleDescription
6.2 Deprecated Features
APIThe sources field in the /api/groups endpoint is deprecated and will be removed in a future release.
The configType field in the /api/groups endpoint is deprecated and will be removed in a future release.
TitleDescription
6.1 Deprecated Features
None.
TitleDescription
6.0 Deprecated Features
PropertiesThe server.multiple-context-path.primary and server.multiple-context-path.secondary properties in the zoomdata.properties file are deprecated. This release does not support multiple context paths.
APIYou can no longer use <hostname>:8080/zoomdata/api/version. Use <hostname>:8080/composer/api/version instead.
TitleDescription
5.9.1 Deprecated Features
APIThe /api/security/attributes endpoint is replaced with the new /api/sources/<source-id>/security/attributes endpoint, used for column security.
The /api/filters endpoint is replaced with the new /api/sources/<source-id>/security/filters endpoint, used for row security.
The /api/dashboards/<dashboard-id>/key endpoint. When removed, you will no longer be able to share a dashboard by generating a public link.
TitleDescription
5.9 Deprecated Features
AuthorizationThe UI privilege Can Share Visuals & Dashboards (API privilege ROLE_SHARE_DASHBOARDS) associated with sharing a dashboard via a dashboard link is renamed Can Generate Dashboard Public Link (same API privilege), but is officially deprecated in release 5.9.

Removed Features

TitleDescription
6.9 Removed Features
APIThe GET /api/visdefs/<sourceid>/<visid> API endpoint is now removed from the product. It was deprecated in a previous release.
The PUT /api/visdefs/<sourceid>/<visid> API endpoint is now removed from the product. It was deprecated in a previous release.
The POST /api/visdefs/<sourceid>/<visid> API endpoint is now removed from the product. It was deprecated in a previous release.
The DELETE /api/visdefs/<sourceid>/<visid> API endpoint is now removed from the product. It was deprecated in a previous release.
The GET /api/visdefs/<sourceid>API endpoint is now removed from the product. It was deprecated in a previous release.
The POST /api/visdefs/default/<sourceid>/<visid> API endpoint is now removed from the product.
The PUT /api/visdefs/default/<sourceid>/<visid> API endpoint is now removed from the product.
LicensingIn support of the new license structure, the following license properties have been removed from the api/licenseendpoint response: type and enforcementLevel.
Context VariablesThe ${User.zoomdataUserName} context variable is removed from the product. You can no longer use this variable in new connection, data source, or forced filter definitions. Existing definitions that use this context variable will continue to work. For new definitions, use the ${User.composerUserName} context variable instead.
6.8 Removed Features
None.
6.7 Removed Features
None.
6.6 Removed Features
None.
6.5 Removed Features
None.
6.4 Removed Features
Fields
  • com.zoomdata.resource.GroupAclResource#bookmarks
  • com.zoomdata.resource.GroupAclResource#connections
  • com.zoomdata.resource.InventoryItemResource#ownerFullName
  • com.zoomdata.resource.InventoryItemResource#ownerUserId
  • com.zoomdata.resource.dashboard.DashboardResource#userId
  • com.zoomdata.resource.dashboard.DashboardResource#shareState
  • com.zoomdata.resource.dashboard.DashboardResource#ownerName
Sorting OptionThe com.zoomdata.web.controller.InventoryController.SortableField#OWNER sorting option that relied on the OWNER field that was deprecated in 5.9 is removed from the code.
AuthorizationThe API privilege ROLE_SAVE_DASHBOARDS, deprecated in 5.9, is removed from the code. Use ROLE_CREATE_DASHBOARDS instead. All existing groups that had the ROLE_SAVE_DASHBOARDS privilege granted are automatically migrated to ROLE_CREATE_DASHBOARDS. However, if your organization has integrated Composer API calls into third-party software, you will need to manually change all references of ROLE_SAVE_DASHBOARDS to ROLE_CREATE_DASHBOARDS. See Group Privilege Reference.
APIThe visualizations container in the response from a GET or PATCH /api/sources/<id> request was deprecated in 5.9 and support for it is removed from the Composer code.
6.3 Removed Features
LinuxCentOS 6 is no longer supported and the special installation Bootstrap procedure (bootstrap-zoomdata-centos6.run) is no longer provided with this product. CentOS 6 is no longer supported by Red Hat Linux (RHEL). Use CentOS 7 or 8 instead.
Red Hat Linux 6 and Scientific Linux are no longer supported.
JSONThe Content-Type header vnd.zoomdata.v2+json is no longer supported in version 6.3 and later and can no longer be used as the Content-Type for API routes. It is removed from the product. Use vnd.composer.v2+json as the Content-Type for API routes instead.
Group DefinitionsAs a result of the introduction of data source permissions in version 6.3, the ability to restrict data sources within group definitions is removed. Use data source permissions instead. For information about data source permissions, see About Data Source Permissions.
Custom Chart CLISupport for Version 3 of the custom chart CLI is now removed because it only supported Zoomdata version 3 and earlier and support for those Zoomdata versions is dropped. Use version 4 or the new version 5 of the custom chart CLI instead. See Supported Custom Chart CLI Versions.
AuthorizationThe API privileges ROLE_DELETE_ALL_SOURCES, ROLE_MANAGE_ALL_SOURCES, ROLE_VIEW_ALL_SOURCES, and ROLE_MANAGE_SOME_SOURCES are removed from the product. When you upgrade, groups with these roles will be automatically upgraded with new source privilege settings as follows:
  • Groups with the ROLE_VIEW_ALL_SOURCES privilege are automatically granted read permissions for all data sources.
  • Groups with the ROLE_MANAGE_ALL_SOURCES privilege are automatically granted write permissions for all data sources.
  • Groups with the ROLE_DELETE_ALL_SOURCES privilege are automatically granted delete permissions for all data sources.
6.2 Removed Features
APIThe accountId parameter, which was deprecated in Composer 5.9, has now been removed from the following API endpoints:
  • GET /api/actions
  • DELETE /api/actions/{id}
  • POST /api/actions/{id}/invoke
  • GET /api/dashboards/export
  • GET /api/groups
  • GET /api/inventory
  • GET /api/sources/name/{name}
  • GET /api/sources
  • POST /api/upload/{sourceId}
  • DELETE /api/upload/{sourceId}
  • GET /api/preferences
  • GET /api/users
  • GET /api/visuals
[...]
